2
votes
1answer
877 views

Compiling Meshlab

I am trying to install Meshlab as per the documentation. I installed all the dependencies and followed the steps. But am having trouble with certain steps here. In order to successfully compile a ...
1
vote
3answers
5k views

Eclipse not creating a binary file when building a simple program

I have a problem with linking and\or running a simple program in my eclipse. I'll try to first give a full description of the setup I'm using, to help identify the problem. Please notice that this is ...
0
votes
0answers
235 views

How do I install gcc 4.7.0 from source? [duplicate]

Possible Duplicate: How to update gcc to the latest version(in this case 4.7) in Ubuntu 10.04? How do I install tar bz2 and gz files? I'm new user in ubuntu & I wonder if anyone can ...
1
vote
1answer
496 views

How do I install the drivers for my HCF Conexant modem?

How do I install drivers for my HCF Conexant modem in Ubuntu 11.10? Unfortunately Conexant driver is old with no update for new kernel version (upper 2.6) so I cant install and use my HCF modem. I ...
3
votes
3answers
2k views

How to compile FontForge?

Who knows right way to compile FontForge on the Ubuntu 11.10 64-bit system? Any experience and suggests will be greatly useful. Full guide for build and install from source here: FontForge : ...
-6
votes
1answer
189 views

How to install non compiled programs?

I was using Ubuntu from 9.8 until now 11.10 ,and there are some programs that have this sequence to install : In the terminal cd to the program's folder and write ./configure write configure make ...
0
votes
2answers
141 views

Trying To Compile But Missing Headers?

So I'm trying to update my sound card driver but I need to compile first. After entering the sudo make command, I run into errors, missing files, etc. See link. Terminal_Lines I've installed the ...
4
votes
1answer
3k views

How to speed up compilation of Ubuntu apps (make, cmake, gcc)

I am compiling some programs here and I have 4 cores. Is there a way to tell make, cmake or gcc to compile using all cores or something to that affect.
1
vote
1answer
465 views

Recompiling Ubuntu stock kernel

I want to recompile the stock Ubuntu kernel (on Oneiric) with just one change: include usbcore as a kernel module so it can be reloaded at runtime (I have some issue with usb support crashing at ...
0
votes
1answer
904 views

./configure not working [duplicate]

Possible Duplicate: How do I install tar bz2 and gz files? I am trying to install Java 7 via tar.gz, but when it comes to the command "./configure", it says it don't exist. I am using ...
2
votes
1answer
225 views

unbuild. Remove a built package

I was having issue with the vim-gnome package and command-t with vim not compiling with the system ruby. So I built vim with. sudo apt-get install mercurial hg clone https://vim.googlecode.com/hg/ ...
5
votes
2answers
366 views

How to install Media Explorer?

Media Explorer is a Media Center much like XBMC, it is part of Meego. The latest version, 0.3, is only available as source, which one has to build. A PPA exists, providing version 0.2, yet I don't ...
0
votes
1answer
2k views

Problem with compiling GTK3 program

I recently decided to learn gtk+, so I installed the gtk3 developement package which contains all the necessary libraries, then I just wrote a simple program test which is supposed to display a gtk ...
1
vote
1answer
792 views

PCRE compilation errors on 11.10 (but not on 10.10 and 11.04) [closed]

I compile a project in C + +. The project uses a library PCRE. The project is not written by me. I run the SH-file. On Ubuntu 10.10 and 11.04 is compiled. At 11.10 - no. This error occurs when: g + ...
0
votes
1answer
1k views

Has anyone gotten Edimax 7811 to work under 11.10?

I recently upgraded to Ubuntu 11.10. Afterwards I needed to have wireless capability on the same machine. The Edimax 7811 is listed as Linux compatible, but it did not work with Ubuntu 11.10. It uses ...
1
vote
2answers
388 views

How do I install the penmountlpc kernel module?

I would like to install the penmountlpc touchscreen driver in Ubuntu 11.10 on a Dialogue Flybook A33i. When I try installing it using module-assistant from the source packed in ...
1
vote
2answers
95 views

Cannot run compiled files on file exchange partition on a MBP 3,1

Since I dual boot on my Macbook Pro I created a partition to exchange files between Ubuntu and Mac OS X easily. I can copy and delete files easily on the exchange partition from both OS. I can also ...
1
vote
0answers
116 views

How can I build GNOME Shell from jhbuild? [duplicate]

Possible Duplicate: How do I install and use the latest version of GNOME Shell? I'm running Ubuntu 11.10, and wanted to build gnome with jhbuild to get the latest and greatest. ...
1
vote
1answer
933 views

Can't install inkscape

I tried to install several packages older ones too.Tried to upgrade it from terminal,to compile it.Once I did it and wait it for long time,but at the end of instalation it showed me 2 errors.When I'm ...
3
votes
1answer
3k views

Why does gsl-library not compile/link in 11.10, despite that it did under 11.04 with the same makefile and program?

I have a problem with the gsl library in Oneiric - after upgrade from Natty to Oneiric I cannot build a program anymore with my own makefile, despite the fact that in QT Creator everything works fine ...
5
votes
4answers
6k views

Can't build gcc anymore since upgrade to 11.10

On Monday I've upgraded to from Ubuntu 11.04 (my initial installation) to 11.10 and now I can't build gcc from source anymore. Since I forgot to uninstall the gcc package before the upgrade, Ubuntu ...